Bug 1087726 - Change log message when CMR commit fails - do not show information about onePhaseCommit
Summary: Change log message when CMR commit fails - do not show information about oneP...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Transaction Manager
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER5
: EAP 6.3.0
Assignee: Michael
QA Contact: Ondrej Chaloupka
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks: 1097673
TreeView+ depends on / blocked
 
Reported: 2014-04-15 07:34 UTC by Ondrej Chaloupka
Modified: 2014-09-15 12:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-28 15:24:47 UTC
Type: Bug


Attachments (Terms of Use)
server.log from the test run (317.70 KB, text/x-log)
2014-04-15 07:38 UTC, Ondrej Chaloupka
no flags Details


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBTM-2162 Trivial Closed Change CMR commit failure message 2014-09-15 12:54:04 UTC

Description Ondrej Chaloupka 2014-04-15 07:34:57 UTC
I'm testing with 4.17.19.Final which is supposed to be in EAP 6.3.0.ER2. 

When I simulate fail of commit of the javax.resource.spi.LocalTransaction then the TM informs user in log with this message:
22:05:23,489 WARN  [com.arjuna.ats.jta] (EJB default - 7) ARJUNA016039: onePhaseCommit on < formatId=131077, gtrid_length=29, bqual_length=36, tx_uid=0:ffff7f000001:-52794c1e:53499c6c:43, node_name=1, branch_uid=0:ffff7f000001:-52794c1e:53499c6c:48, subordinatenodename=null, eis_name=java:jboss/xa-datasources/CrashRecoveryDS > (LocalXAResourceImpl@635955c6[connectionListener=4371ac17 connectionManager=7e0e6d1e warned=false currentXid=null productName=PostgreSQL productVersion=9.3.4 jndiName=java:jboss/xa-datasources/CrashRecoveryDS]) failed with exception XAException.XA_RBROLLBACK: org.jboss.jca.core.spi.transaction.local.LocalXAException: IJ001156: Could not commit local transaction

That's fine but the message says that onePhaseCommit was used which is not correct (in my case I have 2 resources - one XA and one CMR). 

It seems that this message comes from com.arjuna.ats.internal.jta.resources.XAResourceErrorHandler
Please, change the message to correspond with the number of resources being involved in the transaction - I mean when there are 2 resources there is not used one phase commit optimization.

Comment 1 Ondrej Chaloupka 2014-04-15 07:38:53 UTC
Created attachment 886383 [details]
server.log from the test run

Comment 3 Kabir Khan 2014-05-15 08:06:41 UTC
Fixed by https://bugzilla.redhat.com/show_bug.cgi?id=1097673

Comment 4 Ondrej Chaloupka 2014-06-02 13:16:19 UTC
Verified on 6.3.0.ER5

Comment 5 JBoss JIRA Server 2014-09-15 12:54:04 UTC
Tom Jenkinson <tom.jenkinson@redhat.com> updated the status of jira JBTM-2162 to Closed


Note You need to log in before you can comment on or make changes to this bug.